# Update pickup point

Endpoint to update pickup data, including the address and contact information at the warehouse.

## Edit pickup

> Endpoint that allows editing the pickup data of a delivery.

```json
{"openapi":"3.0.0","info":{"title":"Shippify Api","version":"1.0.0"},"servers":[{"url":"https://api.shippify.co","description":"Development server"}],"security":[{"Basic_Auth":[]}],"components":{"securitySchemes":{"Basic_Auth":{"type":"http","scheme":"basic"}},"schemas":{"editPickup":{"successfulResponse":{"type":"object","properties":{"code":{"type":"string"},"message":{"type":"string"},"data":{"type":"object","description":"Information of additional processes created (if the delivery belongs to a route)","properties":{"jobs":{"description":"Identifier of the external process created","type":"string"}}}}},"request":{"type":"object","required":["deliveryIds","reorderRoute","recalculatePrice","deliveryChanges"],"properties":{"deliveryIds":{"description":"Delivery identifiers to be edited separated by comma, up to 10 deliveries can be edited in a single request","type":"string"},"deliveryChanges":{"description":"Changes to be made in the task","type":"object","required":["location"],"properties":{"location":{"$ref":"#/components/schemas/delivery/location"},"contact":{"$ref":"#/components/schemas/delivery/contact"}}},"recalculatePrice":{"description":"Indicates whether to recalculate the price after modification (recommended)","type":"boolean"},"reorderRoute":{"description":"Indicates whether to reorder the route (if the delivery belongs to a route) after modification (recommended)","type":"boolean"}}}},"Unauthenticated":{"properties":{"code":{"type":"string"},"message":{"type":"string"}},"type":"object"},"delivery":{"location":{"description":"Address information of the pickup location of the delivery packages.","type":"object","required":["address"],"properties":{"address":{"description":"Delivery address.","type":"string"},"instructions":{"description":"Extra information about the address.","type":"string"},"lat":{"description":"Latitude of the pickup point.","type":"string"},"lng":{"description":"Longitude of the pickup point.","type":"string"}}},"contact":{"description":"Contact information of the person responsible for delivering the packages at the pickup warehouse.","type":"object","required":["name","email"],"properties":{"name":{"description":"Name of the responsible person.","type":"string"},"email":{"description":"Email of the responsible person.","type":"string","format":"email"},"phonenumber":{"description":"Phone number of the responsible person.","type":"string"}}}}}},"paths":{"/v1/deliveries/pickup":{"patch":{"tags":["Edit pickup"],"summary":"Edit pickup","description":"Endpoint that allows editing the pickup data of a delivery.","responses":{"200":{"description":"Successful operation","content":{"application/json":{"schema":{"$ref":"#/components/schemas/editPickup/successfulResponse"}}}},"401":{"description":"Unauthorized","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Unauthenticated"}}}}},"requestBody":{"description":"","content":{"application/json":{"schema":{"$ref":"#/components/schemas/editPickup/request"}}}}}}}}
```

## Use cases

<details>

<summary>Update sender details</summary>

```json
{
    "deliveryIds": "t-pruaas-4973",
    "deliveryChanges": {
        "location": {
            "address": "av. echeñique 8861, 7860169 la reina, región metropolitana, chile",
            "instructions": "CLIENT WILL PICKUP THE PACKAGES AT DOOR 2",
            "lat": -23.557166,
            "lng": -46.664559
        },
        "contact": {
            "name": "Juan Perez",
            "email": "example@shippify.co"
        }
    },
    "recalculatePrice": true,
    "reorderRoute": true
}
```

</details>

<details>

<summary>Update pickup address</summary>

```json
{
    "deliveryIds": "t-pruaas-4973",
    "deliveryChanges": {
        "location": {
            "address": "av. echeñique 8861, 7860169 la reina, región metropolitana, chile",
            "instructions": "CLIENT WILL PICKUP THE PACKAGES AT DOOR 2",
            "lat": -23.557166,
            "lng": -46.664559
        }
    },
    "recalculatePrice": true,
    "reorderRoute": true
}
```

</details>


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.shippify.co/developers/en/shippify-api/deliveries/update-pickup-point.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
